JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
TextEditorKeyMapper< CallbackClass > Struct Template Reference
juce_gui_basics » keyboard

This class is used to invoke a range of text-editor navigation methods on an object, based upon a keypress event. More...

`#include <juce_TextEditorKeyMapper.h>`

## Static Public Member Functions
static bool | invokeKeyFunction (CallbackClass &target, const KeyPress &key)
| Checks the keypress and invokes one of a range of navigation functions that the target class must implement, based on the key event.

## Detailed Description

template<class CallbackClass>
struct TextEditorKeyMapper< CallbackClass >

This class is used to invoke a range of text-editor navigation methods on an object, based upon a keypress event.

It's currently used internally by the TextEditor and CodeEditorComponent.

## Member Function Documentation

## ◆ invokeKeyFunction()

template<class CallbackClass >

static bool TextEditorKeyMapper< CallbackClass >::invokeKeyFunction | ( | CallbackClass & | target,
|  | const KeyPress & | key )
| static

Checks the keypress and invokes one of a range of navigation functions that the target class must implement, based on the key event.

References KeyPress::backspaceKey, ModifierKeys::commandModifier, ModifierKeys::ctrlModifier, KeyPress::deleteKey, KeyPress::downKey, KeyPress::endKey, KeyPress::getModifiers(), KeyPress::homeKey, KeyPress::insertKey, KeyPress::isKeyCode(), ModifierKeys::isShiftDown(), KeyPress::leftKey, mods, KeyPress::pageDownKey, KeyPress::pageUpKey, KeyPress::rightKey, ModifierKeys::shiftModifier, and KeyPress::upKey.

The documentation for this struct was generated from the following file:

- juce_TextEditorKeyMapper.h